# TODO
# - system locale dir
%define		status		stable
%define		pearname	Horde_Icalendar
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - iCalendar API
Name:		php-horde-Horde_Icalendar
Version:	1.1.2
Release:	1
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.horde.org/get/%{pearname}-%{version}.tgz
# Source0-md5:	a1aca64b9b022552d57ed2077664e898
URL:		https://github.com/horde/horde/tree/master/framework/Icalendar/
BuildRequires:	php-channel(pear.horde.org)
BuildRequires:	php-packagexml2cl
BuildRequires:	php-pear-PEAR >= 1:1.7.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php-channel(pear.horde.org)
Requires:	php-horde-Horde_Date < 2.0.0
Requires:	php-horde-Horde_Exception < 2.0.0
Requires:	php-horde-Horde_Mime < 2.0.0
Requires:	php-horde-Horde_Support < 2.0.0
Requires:	php-horde-Horde_Translation < 2.0.0
Requires:	php-horde-Horde_Util < 2.0.0
Requires:	php-pear >= 4:1.3.6-2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides an API for dealing with iCalendar data.

In PEAR status of this package is: %{status}.

%prep
%pear_package_setup

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog install.log
%doc docs/Horde_Icalendar/*
%{php_pear_dir}/.registry/.channel.*/*.reg
%{php_pear_dir}/Horde/Icalendar.php
%{php_pear_dir}/Horde/Icalendar
%{php_pear_dir}/data/Horde_Icalendar
%changelog
* Tue Jul 31 2012 Elan Ruusamäe <glen@delfi.ee> c6f0415
- updated to: 1.1.2

* Mon Mar 26 2012 Elan Ruusamäe <glen@pld-linux.org> e950ebe
- updated to: 1.1.1

* Thu Sep 15 2011 Elan Ruusamäe <glen@pld-linux.org> 019abb4
- updated to: 1.0.4

* Sat Aug 13 2011 Elan Ruusamäe <glen@pld-linux.org> 978225b
- updated to: 1.0.3

* Sun Jul 31 2011 Elan Ruusamäe <glen@pld-linux.org> 2e5a987
- updated to: 1.0.2

* Tue May 03 2011 Elan Ruusamäe <glen@pld-linux.org> 663b461
- use github url to package, as pear url is not specific

* Mon Apr 11 2011 Elan Ruusamäe <glen@pld-linux.org> 1261779
- Horde dir dep

* Sun Apr 10 2011 Elan Ruusamäe <glen@pld-linux.org> 20802c3
- horde h4 pear packages

